Name: notification-daemon
Version: 0.5.0
Release: alt2

Summary: Desktop Notification Daemon
Group: Graphical desktop/GNOME
License: %gpl2plus
URL: http://trac.galago-project.org/wiki/DesktopNotifications
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: http://www.galago-project.org/files/releases/source/%name/%name-%version.tar.bz2

Patch1: %name-0.4.0-alt-desktop-file.patch

Requires: dbus >= 0.36
Requires(post,preun): GConf

Conflicts: notification-daemon-xfce

# From configure.ac
BuildPrereq: gnome-common intltool
BuildPrereq: glib2-devel >= 2.10.0
BuildPrereq: libgtk+2-devel >= 2.10.0
BuildPrereq: libdbus-glib-devel >= 0.36
BuildPrereq: GConf2 libGConf2-devel
BuildPrereq: libwnck-devel libnotify-devel
BuildPrereq: libcanberra-gtk2-devel

BuildRequires: rpm-build-licenses rpm-build-gnome

%description
A daemon that displays passive pop-up notifications as per the
Desktop Notifications specification
(http://www.galago-project.org/specs/notification/index.php).

%prep
%setup -q
%patch1 -p0 -b .alt-desktop-file

%build
#NOCONFIGURE=1 ./autogen.sh
%autoreconf
%configure \
    --disable-schemas-install \
    --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/notification-properties
%_libexecdir/%name
%dir %_libdir/%name-1.0
%dir %_libdir/%name-1.0/engines
%_libdir/%name-1.0/engines/*.so
%dir %_datadir/%name
%_datadir/%name/*.ui
%_desktopdir/*.desktop
%_datadir/dbus-1/services/*
%_iconsdir/hicolor/*/apps/notification-properties.*
%gconf_schemasdir/%name.schemas
%doc AUTHORS NEWS

%exclude %_libdir/%name-1.0/engines/*.la

%changelog
* Tue Oct 19 2010 Yuri N. Sedunov <aris@altlinux.org> 0.5.0-alt2
- updated buildreqs

* Tue Jun 29 2010 Yuri N. Sedunov <aris@altlinux.org> 0.5.0-alt1
- 0.5.0

* Tue Jul 28 2009 Alexey Rusakov <ktirf@altlinux.org> 0.4.0-alt3
- added DesktopSettings to the list of categories in .desktop
- added Russian translation

* Tue Jul 21 2009 Alexey Rusakov <ktirf@altlinux.org> 0.4.0-alt2
- put an explicit conflict to notification-daemon-xfce to mitigate
  ALT Bug 11697

* Sun Dec 28 2008 Alexey Rusakov <ktirf@altlinux.org> 0.4.0-alt1
- new version (0.4.0)
- specify the license in the specfile more exactly (GPL -> %gpl2plus)
- updated buildreqs and files list
- specfile cleanup
- added Packager tag

* Tue Oct 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3.7-alt1.1
- rebuilt with libwnck2.20

* Mon Apr 02 2007 Alexey Rusakov <ktirf@altlinux.org> 0.3.7-alt1
- new version (0.3.7)
- fixed Source tag in the specfile
- updated dependencies
- added find_lang invocation, as new versions have localized strings
  (too bad, no Russian yet...)
- made files list more robust

* Wed Sep 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.5-alt2
- Run autogen.sh
- Buildreq

* Sat May 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.5-alt1.1
- Major spec cleanup
- Use Sisyphus macros for GConf schemas installation
- Updated URLs

* Thu May 04 2006 Vital Khilko <vk@altlinux.ru> 0.3.5-alt1
- 0.3.5

* Thu Feb 02 2006 Vital Khilko <vk@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Sun Sep 18 2005 Vital Khilko <vk@altlinux.ru> 0.2.1-alt1
- initial build

